View Issue Details

IDProjectCategoryLast Update
0025293AI War 2Bug - OtherJun 23, 2021 6:08 pm
ReporterAlivaril Assigned Tox4000Bughunter  
Severityminor 
Status resolvedResolutionfixed 
Product Version3.203 More Bugfixing 
Fixed in Version3.304 Coilbeams No Longer Tickle 
Summary0025293: Praetorian Error On Startup
DescriptionI'm not even sure what went wrong here. I tried starting a game with two difficulty 7 AI + an intensity 5 Spire, and it threw up an error message the moment I entered the game. That seems like the sort of thing you'd want to know about, so here we are.
TagsNo tags attached.

Relationships

related to 0025249 resolvedx4000Bughunter AI Praetorian Guard Error Faction shut down 
related to 0025322 resolvedx4000Bughunter Faction shut down right after starting a new game 

Activities

Alivaril

Jun 18, 2021 7:24 pm

reporter  

ArcenDebugLog Praerror.txt (1,425,902 bytes)
bugged save.save (222,169 bytes)

Alivaril

Jun 18, 2021 7:26 pm

reporter   ~0062148

Oh, almost forgot. Here's a screenshot.
image.png (1,029,439 bytes)

Chuito12

Jun 18, 2021 7:34 pm

reporter   ~0062149

I got this bug a bunch and reported it a couple days ago. A work around that I think works most of the time is to:

Restart the game when you get the bug
Go into the edit setup > Factions
Disable Universal Difficulty
change praetorian guard difficulty to something then change it again to what you want it to be

x4000Bughunter

Jun 23, 2021 6:08 pm

administrator   ~0062255

Thanks!

* Fixed a variety of "blank data" exceptions that could happen when setting up the game from an old save or a quickstart, among other circumstances.
** First of all, the way that missing factions are added is more careful now, although that turned out not to be the problem.
** Secondly, CPALogic and RelentlessWave subfactions are added in a better way for each AI in multi-AI games, to lead to less confusion with them.
** And lastly, if there was explicitly blank (or otherwise old) data, it was not previously reading in the current-game default. This has been corrected so that it now chooses default values.
*** This was the reason why often certain quickstarts had errors with the Praetorian Guard immediately after starting, and things of that nature.

Issue History

Date Modified Username Field Change
Jun 18, 2021 7:24 pm Alivaril New Issue
Jun 18, 2021 7:24 pm Alivaril File Added: ArcenDebugLog Praerror.txt
Jun 18, 2021 7:24 pm Alivaril File Added: bugged save.save
Jun 18, 2021 7:26 pm Alivaril Note Added: 0062148
Jun 18, 2021 7:26 pm Alivaril File Added: image.png
Jun 18, 2021 7:31 pm Chuito12 Relationship added related to 0025249
Jun 18, 2021 7:34 pm Chuito12 Note Added: 0062149
Jun 18, 2021 7:54 pm BadgerBadger Assigned To => x4000Bughunter
Jun 18, 2021 7:54 pm BadgerBadger Status new => assigned
Jun 22, 2021 11:06 am BadgerBadger Relationship added related to 0025322
Jun 23, 2021 6:08 pm x4000Bughunter Status assigned => resolved
Jun 23, 2021 6:08 pm x4000Bughunter Resolution open => fixed
Jun 23, 2021 6:08 pm x4000Bughunter Fixed in Version => 3.304 Coilbeams No Longer Tickle
Jun 23, 2021 6:08 pm x4000Bughunter Note Added: 0062255